
const path = require('path')

const join = dir => path.join(__dirname, '..', dir)

module.exports = {
  port: 9529,
  publicPath: '/',
  srcPath: join('examples/'),
  distPath: join('examples/dist'),
  appJs: join('examples/index.js'),
  appHtml: join('examples/index.html'),
  defineEnv: {
    development: {
      SYSTEM_NAME: '"product"',
      NODE_ENV: '"development"',
      MAIN_URL: '"http://localhost:8800"',
      API_URL: {
        default: '"https://manage.dev.caihongxingqiu.com/"',
        upload: '"https://manage.dev.caihongxingqiu.com/config/upload"',
      },
    },
  },
}
