
export default function getAttributeMain (payload = {}) {
  return new Promise((resolve, reject) => {
    const { id, name } = payload
    const response = {
      componentData: [
        {
          nodeType: 'item',
          required: true,
          label: '属性名称',
          nodeList: [
            {
              nodeType: 'input',
              keyword: 'name',
              hub: 'attribute-main',
              props: {
                placeholder: '输入属性名称',
              },
            },
          ],
        },
      ],
      value: { name: '' },
      error: {},
      option: {},
    }
    if (payload.id) {
      response.value = { id, name }
    }
    resolve(response)
  })
}
