
import Vue from 'vue'

export default function goAttributeDetail (payload = {}, option = {}) {
  return new Promise(resolve => {
    const { id, name } = payload
    if (!id) {
      payload.attribute_type = option.type
      payload.attribute_category_id = option.id
      payload.attribute_category_name = option.name
      Vue.stack.push(
        'attribute-detail',
        `添加${option.type === 0 ? '规格' : '参数'}`,
        payload
      )
    } else Vue.stack.push('attribute-detail', name, payload)
    resolve()
  })
}
