
import Vue from 'vue'
import iview from 'iview'

export default function editCategorySort (payload = {}, option = {}) {
  return new Promise(async (resolve, reject) => {
    const requestBody = {
      data: payload.map(({ id, sort }) => ({ id, sort })),
    }
    try {
      await Vue.http.put(`/product/category/sort`, requestBody)
      iview.Message.success('保存成功')
      resolve(true)
    } catch (e) {
      reject(e)
    }
  })
}
