
import Vue from 'vue'

export default function switchCategory (payload = {}) {
  return new Promise(async (resolve, reject) => {
    const { id, is_open: isOpen } = payload
    const requestBody = {
      id, is_open: isOpen,
    }
    try {
      await Vue.http.put('/product/category', requestBody)
      resolve()
    } catch (e) {
      reject(e)
    }
  })
}
