
import Vue from 'vue'

export default function getLabels () {
  return new Promise(async resolve => {
    try {
      const res = await Vue.http.get('/product/label')
      const list = res.product_labels.map(label => {
        return { value: label.id, label: label.name }
      })
      resolve(list)
    } catch {
      resolve([])
    }
  })
}
