
module.exports = (isEnvDevelopment, distPath, publicPath) => {
  const output = {
    path: isEnvDevelopment ? undefined : distPath,
    filename: isEnvDevelopment
      ? 'bundle.js'
      : 'reverse.js',
    publicPath,
  }
  if (!isEnvDevelopment) {
    output.library = 'vue-reverse'
    output.libraryTarget = 'umd'
    output.umdNamedDefine = true
  }
  return output
}
