
import Vue from 'vue'

export default function editAttributeMain (payload = {}, option = {}) {
  return new Promise(async (resolve, reject) => {
    const { id, name } = payload
    const error = { name: '属性名称不能为空' }
    if (!name.trim()) return reject(error)
    try {
      const method = id ? 'put' : 'post'
      await Vue.http[method]('/product/attribute/category', payload)
      resolve()
    } catch (e) {
      reject(e)
    }
  })
}
