
import Vue from 'vue'

export default function getAttributesDetail (payload) {
  return new Promise(async resolve => {
    try {
      const { data } = await Vue.http.get('/product/attribute/item', {
        params: {
          attribute_category_id: payload.attribute_category_id,
          per_page: 1000,
        },
      })
      resolve(data)
    } catch {
      resolve([])
    }
  })
}
