
import Vue from 'vue'

export default function getCity (payload) {
  return new Promise(async resolve => {
    try {
      const { data } = await Vue.http.get('/config/cityManagement/lists', {
        params: {
          per_page: 1000,
          status: 1,
        },
      })
      const list = data.map(i => {
        return { value: i.city_id, label: i.city_name }
      })
      list.unshift({ label: '全部', value: 0 })
      resolve(list)
    } catch {
      resolve([])
    }
  })
}
