
import Vue from 'vue'
import iView from 'iview'
import 'iview/dist/styles/iview.css'

import VueReverse from '../src'

// import VueReverse from '../dist/reverse'
// import '../dist/reverse.css'

import allActions from './actions'

import store from './store'
import router from './router'
import './plugins'

import '@/assets/styles/main.scss'
import Viewer from 'v-viewer'
import App from './App'

Vue.use(iView)
Vue.use(Viewer)
Vue.use(VueReverse, { allActions })

new Vue({
  router,
  store,
  render: h => h(App),
}).$mount('#root')
